import other_algorithm

class Algo:

     def __init__(self):
          pass

     # 算法内部调用的函数
     def _fun1(self):
          pass

     # 算法内部调用的函数
     def _fun2(self):
          pass

     # 算法对外提供的函数
     def core_algorithm(self, data1, data2, param1, param2, ....):

          #核心算法逻辑
          _fun1();
          _fun2();
          data3 = other_algorithm(data1);
          res1 = f(data1, data2, param1,...)
          res2 = f(data1, data3, param2,...)
          
          return [res1, res2]


